#516 Ubuntu 10.04 installer fails due to I/O errors with virtio

closed
nobody
None
7
2015-03-02
2010-01-27
No

I tried installing Ubuntu 10.04 and Fedora 12 in a KVM virtual machine using virtio, on a 8G raw file-backed disk. Both installers failed half-way due to I/O errors. So I tried reproducing it and managed to repeat it 6 times. The bug doesn't occur with IDE emulation. The bug happens fairly quickly with -smp 4 -- usually within 5 minutes -- but is much rarer with -smp 1.

Ubuntu installer has kernel 2.6.32-11-generic
Fedora 12 has kernel 2.6.31.5-127.fc12.x86_64
Host has kernel 2.6.32.6 (Arch Linux) and QEMU 0.12.2

When testing with -smp 1, it also produced a kernel oops from "block/blk-core.c:245". This line warns when the function is called with interrupts enabled:
void blk_start_queue(struct request_queue *q)
{
WARN_ON(!irqs_disabled());

    queue_flag_clear(QUEUE_FLAG_STOPPED, q);
    __blk_run_queue(q);

}

--- host machine ---

[marti@newn]% qemu-kvm --version
QEMU PC emulator version 0.12.2 (qemu-kvm-0.12.2), Copyright (c) 2003-2008 Fabrice Bellard
[marti@newn]% ps aux |grep crash
root 16283 31.4 7.1 427020 289960 ? Sl 22:44 8:37 /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 256 -smp 1 -name ubuntu-crashtest -uuid 0d7d4f2d-5589-160b-1f1b-75d46e293a2c -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/ubuntu-crashtest.monitor,server,nowait -monitor chardev:monitor -boot d -drive file=/store/iso/lucid-desktop-amd64.iso,if=ide,media=cdrom,index=2,format=raw -drive file=/store/virt/ubuntu-crashtest.img,if=virtio,index=0,format=raw -net nic,macaddr=52:54:00:45:e7:19,vlan=0,name=nic.0 -net tap,fd=43,vlan=0,name=tap.0 -serial none -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:1 -k en-us -vga cirrus -soundhw es1370 -balloon virtio
marti 17700 0.0 0.0 8360 968 pts/4 S+ 23:11 0:00 grep crash
[marti@newn]% stat /store/virt/ubuntu-crashtest.img
File: `/store/virt/ubuntu-crashtest.img'
Size: 8589934592 Blocks: 5615368 IO Block: 4096 regular file
Device: fe01h/65025d Inode: 4718596 Links: 1
Access: (0600/-rw-------) Uid: ( 0/ root) Gid: ( 0/ root)
Access: 2010-01-27 22:43:45.128113080 +0200
Modify: 2010-01-27 23:09:11.523577452 +0200
Change: 2010-01-27 23:09:11.523577452 +0200
[marti@newn]% uname -a
Linux newn 2.6.32-ARCH #1 SMP PREEMPT Mon Jan 25 20:33:50 CET 2010 x86_64 AMD Phenom(tm) II X4 940 Processor AuthenticAMD GNU/Linux
[marti@newn]% cat /proc/cpuinfo
processor : 0
vendor_id : AuthenticAMD
cpu family : 16
model : 4
model name : AMD Phenom(tm) II X4 940 Processor
stepping : 2
cpu MHz : 800.000
cache size : 512 KB
physical id : 0
siblings : 4
core id : 0
cpu cores : 4
apicid : 0
initial apicid : 0
fpu : yes
fpu_exception : yes
cpuid level : 5
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm 3dnowext 3dnow constant_tsc rep_good nonstop_tsc extd_apicid pni monitor cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw ibs skinit wdt
bogomips : 6028.69
TLB size : 1024 4K pages
clflush size : 64
cache_alignment : 64
address sizes : 48 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

snip three more CPU cores

--- Ubuntu guest VM ---

ubuntu@ubuntu:/tmp$ uname -a
Linux ubuntu 2.6.32-11-generic #15-Ubuntu SMP Tue Jan 19 20:38:41 UTC 2010 x86_64 GNU/Linux
ubuntu@ubuntu:/tmp$ cat /sys/block/vda/stat
73889 48289 1661218 394970 26765 947851 6284676 9459960 0 987890 9893220
ubuntu@ubuntu:/tmp$ dmesg
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.32-11-generic (buildd@crested) (gcc version 4.4.3 20100116 (prerelease) (Ubuntu 4.4.2-9ubuntu4) ) #15-Ubuntu SMP Tue Jan 19 20:38:41 UTC 2010 (Ubuntu 2.6.32-11.15-generic)
[ 0.000000] Command line: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash --
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000000fffb000 (usable)
[ 0.000000] BIOS-e820: 000000000fffb000 - 0000000010000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fffbc000 - 0000000100000000 (reserved)
[ 0.000000] DMI 2.4 present.
[ 0.000000] last_pfn = 0xfffb max_arch_pfn = 0x400000000
[ 0.000000] MTRR default type: write-back
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-BFFFF uncachable
[ 0.000000] C0000-FFFFF write-protect
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 00E0000000 mask FFE0000000 uncachable
[ 0.000000] 1 disabled
[ 0.000000] 2 disabled
[ 0.000000] 3 disabled
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 disabled
[ 0.000000] 7 disabled
[ 0.000000] x86 PAT enabled: cpu 0, old 0x0, new 0x7010600070106
[ 0.000000] e820 update range: 0000000000001000 - 0000000000006000 (usable) ==> (reserved)
[ 0.000000] Scanning 1 areas for low memory corruption
[ 0.000000] modified physical RAM map:
[ 0.000000] modified: 0000000000000000 - 0000000000001000 (usable)
[ 0.000000] modified: 0000000000001000 - 0000000000006000 (reserved)
[ 0.000000] modified: 0000000000006000 - 000000000009f000 (usable)
[ 0.000000] modified: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] modified: 00000000000f0000 - 0000000000100000 (reserved)
[ 0.000000] modified: 0000000000100000 - 000000000fffb000 (usable)
[ 0.000000] modified: 000000000fffb000 - 0000000010000000 (reserved)
[ 0.000000] modified: 00000000fffbc000 - 0000000100000000 (reserved)
[ 0.000000] initial memory mapped : 0 - 20000000
[ 0.000000] init_memory_mapping: 0000000000000000-000000000fffb000
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] 0000000000 - 000fe00000 page 2M
[ 0.000000] 000fe00000 - 000fffb000 page 4k
[ 0.000000] kernel direct mapping tables up to fffb000 @ 8000-b000
[ 0.000000] RAMDISK: 0f935000 - 0ffcf5e4
[ 0.000000] ACPI: RSDP 00000000000f8940 00014 (v00 BOCHS )
[ 0.000000] ACPI: RSDT 000000000fffde30 00034 (v01 BOCHS BXPCRSDT 00000001 BXPC 00000001)
[ 0.000000] ACPI: FACP 000000000ffffe70 00074 (v01 BOCHS BXPCFACP 00000001 BXPC 00000001)
[ 0.000000] ACPI: DSDT 000000000fffdfd0 01E22 (v01 BXPC BXDSDT 00000001 INTL 20090123)
[ 0.000000] ACPI: FACS 000000000ffffe00 00040
[ 0.000000] ACPI: SSDT 000000000fffdf90 00037 (v01 BOCHS BXPCSSDT 00000001 BXPC 00000001)
[ 0.000000] ACPI: APIC 000000000fffdeb0 00072 (v01 BOCHS BXPCAPIC 00000001 BXPC 00000001)
[ 0.000000] ACPI: HPET 000000000fffde70 00038 (v01 BOCHS BXPCHPET 00000001 BXPC 00000001)
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] No NUMA configuration found
[ 0.000000] Faking a node at 0000000000000000-000000000fffb000
[ 0.000000] Bootmem setup node 0 0000000000000000-000000000fffb000
[ 0.000000] NODE_DATA [0000000000009000 - 000000000000dfff]
[ 0.000000] bootmap [000000000000e000 - 000000000000ffff] pages 2
[ 0.000000] (7 early reservations) ==> bootmem [0000000000 - 000fffb000]
[ 0.000000] #0 [0000000000 - 0000001000] BIOS data page ==> [0000000000 - 0000001000]
[ 0.000000] #1 [0000006000 - 0000008000] TRAMPOLINE ==> [0000006000 - 0000008000]
[ 0.000000] #2 [0001000000 - 0001a70ee4] TEXT DATA BSS ==> [0001000000 - 0001a70ee4]
[ 0.000000] #3 [000f935000 - 000ffcf5e4] RAMDISK ==> [000f935000 - 000ffcf5e4]
[ 0.000000] #4 [000009f000 - 0000100000] BIOS reserved ==> [000009f000 - 0000100000]
[ 0.000000] #5 [0001a71000 - 0001a71071] BRK ==> [0001a71000 - 0001a71071]
[ 0.000000] #6 [0000008000 - 0000009000] PGTABLE ==> [0000008000 - 0000009000]
[ 0.000000] found SMP MP-table at [ffff8800000f8990] f8990
[ 0.000000] kvm-clock: cpu 0, msr 0:188da41, boot clock
[ 0.000000] [ffffea0000000000-ffffea00003fffff] PMD -> [ffff880002000000-ffff8800023fffff] on node 0
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0x00000000 -> 0x00001000
[ 0.000000] DMA32 0x00001000 -> 0x00100000
[ 0.000000] Normal 0x00100000 -> 0x00100000
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[3] active PFN ranges
[ 0.000000] 0: 0x00000000 -> 0x00000001
[ 0.000000] 0: 0x00000006 -> 0x0000009f
[ 0.000000] 0: 0x00000100 -> 0x0000fffb
[ 0.000000] On node 0 totalpages: 65429
[ 0.000000] DMA zone: 56 pages used for memmap
[ 0.000000] DMA zone: 101 pages reserved
[ 0.000000] DMA zone: 3837 pages, LIFO batch:0
[ 0.000000] DMA32 zone: 840 pages used for memmap
[ 0.000000] DMA32 zone: 60595 pages, LIFO batch:15
[ 0.000000] ACPI: PM-Timer IO Port: 0xb008
[ 0.000000] ACPI: Local APIC address 0xfee00000
[ 0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[ 0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[ 0.000000] IOAPIC[0]: apic_id 1, version 17, address 0xfec00000, GSI 0-23
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 5 global_irq 5 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 10 global_irq 10 high level)
[ 0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 11 global_irq 11 high level)
[ 0.000000] ACPI: IRQ0 used by override.
[ 0.000000] ACPI: IRQ2 used by override.
[ 0.000000] ACPI: IRQ5 used by override.
[ 0.000000] ACPI: IRQ9 used by override.
[ 0.000000] ACPI: IRQ10 used by override.
[ 0.000000] ACPI: IRQ11 used by override.
[ 0.000000] Using ACPI (MADT) for SMP configuration information
[ 0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[ 0.000000] SMP: Allowing 1 CPUs, 0 hotplug CPUs
[ 0.000000] nr_irqs_gsi: 24
[ 0.000000] PM: Registered nosave memory: 0000000000001000 - 0000000000006000
[ 0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[ 0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000f0000
[ 0.000000] PM: Registered nosave memory: 00000000000f0000 - 0000000000100000
[ 0.000000] Allocating PCI resources starting at 10000000 (gap: 10000000:effbc000)
[ 0.000000] Booting paravirtualized kernel on KVM
[ 0.000000] NR_CPUS:64 nr_cpumask_bits:64 nr_cpu_ids:1 nr_node_ids:1
[ 0.000000] PERCPU: Embedded 30 pages/cpu @ffff880001c00000 s91288 r8192 d23400 u2097152
[ 0.000000] pcpu-alloc: s91288 r8192 d23400 u2097152 alloc=12097152
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] kvm-clock: cpu 0, msr 0:1c15a41, primary cpu clock
[ 0.000000] Built 1 zonelists in Node order, mobility grouping on. Total pages: 64432
[ 0.000000] Policy zone: DMA32
[ 0.000000] Kernel command line: BOOT_IMAGE=/casper/vmlinuz file=/cdrom/preseed/ubuntu.seed boot=casper only-ubiquity initrd=/casper/initrd.lz quiet splash --
[ 0.000000] PID hash table entries: 1024 (order: 1, 8192 bytes)
[ 0.000000] Initializing CPU#0
[ 0.000000] Checking aperture...
[ 0.000000] No AGP bridge found
[ 0.000000] Calgary: detecting Calgary via BIOS EBDA area
[ 0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
[ 0.000000] Memory: 239936k/262124k available (5532k kernel code, 408k absent, 21780k reserved, 3133k data, 884k init)
[ 0.000000] SLUB: Genslabs=14, HWalign=64, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[ 0.000000] Hierarchical RCU implementation.
[ 0.000000] NR_IRQS:4352 nr_irqs:256
[ 0.000000] Console: colour VGA+ 80x25
[ 0.000000] console [tty0] enabled
[ 0.000000] allocated 2621440 bytes of page_cgroup
[ 0.000000] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[ 0.000000] hpet clockevent registered
[ 0.000000] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[ 0.000000] Detected 3013.292 MHz processor.
[ 0.030000] Calibrating delay loop (skipped) preset value.. 6026.58 BogoMIPS (lpj=30132920)
[ 0.030000] Security Framework initialized
[ 0.030000] AppArmor: AppArmor initialized
[ 0.030000] Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
[ 0.030000] Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
[ 0.030000] Mount-cache hash table entries: 256
[ 0.030000] Initializing cgroup subsys ns
[ 0.030000] Initializing cgroup subsys cpuacct
[ 0.030000] Initializing cgroup subsys memory
[ 0.030000] Initializing cgroup subsys devices
[ 0.030000] Initializing cgroup subsys freezer
[ 0.030000] Initializing cgroup subsys net_cls
[ 0.030000] CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
[ 0.030000] CPU: L2 Cache: 512K (64 bytes/line)
[ 0.030000] CPU 0/0x0 -> Node 0
[ 0.030000] mce: CPU supports 10 MCE banks
[ 0.030000] Performance Events: AMD PMU driver.
[ 0.030000] ... version: 0
[ 0.030000] ... bit width: 48
[ 0.030000] ... generic registers: 4
[ 0.030000] ... value mask: 0000ffffffffffff
[ 0.030000] ... max period: 00007fffffffffff
[ 0.030000] ... fixed-purpose events: 0
[ 0.030000] ... event mask: 000000000000000f
[ 0.030000] SMP alternatives: switching to UP code
[ 0.047896] Freeing SMP alternatives: 39k freed
[ 0.047935] ACPI: Core revision 20090903
[ 0.050403] ftrace: converting mcount calls to 0f 1f 44 00 00
[ 0.050411] ftrace: allocating 23550 entries in 93 pages
[ 0.060135] Setting APIC routing to flat
[ 0.061080] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.061082] CPU0: AMD QEMU Virtual CPU version 0.12.2 stepping 03
[ 0.070000] Brought up 1 CPUs
[ 0.070000] Total of 1 processors activated (6026.58 BogoMIPS).
[ 0.070000] CPU0 attaching NULL sched-domain.
[ 0.070000] devtmpfs: initialized
[ 0.070000] regulator: core version 0.5
[ 0.070000] Time: 20:44:10 Date: 01/27/10
[ 0.070000] NET: Registered protocol family 16
[ 0.070000] ACPI: bus type pci registered
[ 0.070000] PCI: Using configuration type 1 for base access
[ 0.070000] bio: create slab <bio-0> at 0
[ 0.070000] ACPI: EC: Look up EC in DSDT
[ 0.070000] ACPI: Interpreter enabled
[ 0.070000] ACPI: (supports S0 S3 S4 S5)
[ 0.070000] ACPI: Using IOAPIC for interrupt routing
[ 0.070000] ACPI: No dock devices found.
[ 0.070000] ACPI: PCI Root Bridge [PCI0] (0000:00)
[ 0.070000] pci 0000:00:01.1: reg 20 io port: [0xc000-0xc00f]
[ 0.070000] pci 0000:00:01.2: reg 20 io port: [0xc020-0xc03f]
[ 0.070000] pci 0000:00:01.3: quirk: region b000-b03f claimed by PIIX4 ACPI
[ 0.070000] pci 0000:00:01.3: quirk: region b100-b10f claimed by PIIX4 SMB
[ 0.070000] pci 0000:00:02.0: reg 10 32bit mmio pref: [0xe0000000-0xe1ffffff]
[ 0.070000] pci 0000:00:02.0: reg 14 32bit mmio: [0xe2000000-0xe2000fff]
[ 0.070000] pci 0000:00:03.0: reg 10 io port: [0xc100-0xc1ff]
[ 0.070000] pci 0000:00:03.0: reg 14 32bit mmio: [0xe2001000-0xe20010ff]
[ 0.070040] pci 0000:00:04.0: reg 10 io port: [0xc200-0xc2ff]
[ 0.070249] pci 0000:00:05.0: reg 10 io port: [0xc300-0xc31f]
[ 0.070463] pci 0000:00:06.0: reg 10 io port: [0xc340-0xc37f]
[ 0.070829] ACPI: PCI Interrupt Routing Table [_SB_.PCI0._PRT]
[ 0.073222] ACPI: PCI Interrupt Link [LNKA] (IRQs 5
10 11)
[ 0.073304] ACPI: PCI Interrupt Link [LNKB] (IRQs 5 10 11)
[ 0.073371] ACPI: PCI Interrupt Link [LNKC] (IRQs 5 10
11)
[ 0.073439] ACPI: PCI Interrupt Link [LNKD] (IRQs 5 10 *11)
[ 0.073640] vgaarb: device added: PCI:0000:00:02.0,decodes=io+mem,owns=io+mem,locks=none
[ 0.073642] vgaarb: loaded
[ 0.073825] SCSI subsystem initialized
[ 0.073989] libata version 3.00 loaded.
[ 0.074092] usbcore: registered new interface driver usbfs
[ 0.074107] usbcore: registered new interface driver hub
[ 0.074129] usbcore: registered new device driver usb
[ 0.074260] ACPI: WMI: Mapper loaded
[ 0.074263] PCI: Using ACPI for IRQ routing
[ 0.074514] NetLabel: Initializing
[ 0.074517] NetLabel: domain hash size = 128
[ 0.074518] NetLabel: protocols = UNLABELED CIPSOv4
[ 0.074537] NetLabel: unlabeled traffic allowed by default
[ 0.074592] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[ 0.074595] hpet0: 3 comparators, 64-bit 100.000000 MHz counter
[ 0.080107] Switching to clocksource kvm-clock
[ 0.085919] AppArmor: AppArmor Filesystem Enabled
[ 0.085959] pnp: PnP ACPI init
[ 0.086002] ACPI: bus type pnp registered
[ 0.087771] pnp: PnP ACPI: found 6 devices
[ 0.087778] ACPI: ACPI bus type pnp unregistered
[ 0.092628] pci_bus 0000:00: resource 0 io: [0x00-0xffff]
[ 0.092630] pci_bus 0000:00: resource 1 mem: [0x000000-0xffffffffffffffff]
[ 0.092667] NET: Registered protocol family 2
[ 0.092756] IP route cache hash table entries: 2048 (order: 2, 16384 bytes)
[ 0.093022] TCP established hash table entries: 8192 (order: 5, 131072 bytes)
[ 0.093150] TCP bind hash table entries: 8192 (order: 5, 131072 bytes)
[ 0.093271] TCP: Hash tables configured (established 8192 bind 8192)
[ 0.093274] TCP reno registered
[ 0.093338] NET: Registered protocol family 1
[ 0.093354] pci 0000:00:00.0: Limiting direct PCI/PCI transfers
[ 0.093366] pci 0000:00:01.0: PIIX3: Enabling Passive Release
[ 0.093376] pci 0000:00:01.0: Activating ISA DMA hang workarounds
[ 0.093422] pci 0000:00:02.0: Boot video device
[ 0.093615] Scanning for low memory corruption every 60 seconds
[ 0.093739] audit: initializing netlink socket (disabled)
[ 0.093749] type=2000 audit(1264625051.089:1): initialized
[ 0.100108] Trying to unpack rootfs image as initramfs...
[ 1.180965] HugeTLB registered 2 MB page size, pre-allocated 0 pages
[ 1.181923] VFS: Disk quotas dquot_6.5.2
[ 1.181966] Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
[ 1.182466] fuse init (API version 7.13)
[ 1.182529] msgmni has been set to 468
[ 1.182779] alg: No test for stdrng (krng)
[ 1.182788] io scheduler noop registered
[ 1.182789] io scheduler anticipatory registered
[ 1.182791] io scheduler deadline registered
[ 1.182815] io scheduler cfq registered (default)
[ 1.182876] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[ 1.182892] pciehp: PCI Express Hot Plug Controller Driver version: 0.4
[ 1.182965] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
[ 1.182973] ACPI: Power Button [PWRF]
[ 1.183287] processor LNXCPU:00: registered as cooling_device0
[ 1.184711] Linux agpgart interface v0.103
[ 1.184735] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[ 1.185644] brd: module loaded
[ 1.185965] loop: module loaded
[ 1.186023] input: Macintosh mouse button emulation as /devices/virtual/input/input1
[ 1.186122] ata_piix 0000:00:01.1: version 2.13
[ 1.186219] ata_piix 0000:00:01.1: setting latency timer to 64
[ 1.186408] scsi0 : ata_piix
[ 1.186482] scsi1 : ata_piix
[ 1.186508] ata1: PATA max MWDMA2 cmd 0x1f0 ctl 0x3f6 bmdma 0xc000 irq 14
[ 1.186511] ata2: PATA max MWDMA2 cmd 0x170 ctl 0x376 bmdma 0xc008 irq 15
[ 1.186996] Fixed MDIO Bus: probed
[ 1.187023] PPP generic driver version 2.4.2
[ 1.187052] tun: Universal TUN/TAP device driver, 1.6
[ 1.187054] tun: (C) 1999-2004 Max Krasnyansky maxk@qualcomm.com
[ 1.187136] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 1.187146] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[ 1.187157] uhci_hcd: USB Universal Host Controller Interface driver
[ 1.187295] ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
[ 1.187313] uhci_hcd 0000:00:01.2: PCI INT D -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
[ 1.187330] uhci_hcd 0000:00:01.2: setting latency timer to 64
[ 1.187338] uhci_hcd 0000:00:01.2: UHCI Host Controller
[ 1.187364] uhci_hcd 0000:00:01.2: new USB bus registered, assigned bus number 1
[ 1.187444] uhci_hcd 0000:00:01.2: irq 11, io base 0x0000c020
[ 1.187561] usb usb1: configuration #1 chosen from 1 choice
[ 1.187578] hub 1-0:1.0: USB hub found
[ 1.187588] hub 1-0:1.0: 2 ports detected
[ 1.187669] PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[ 1.188427] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 1.188433] serio: i8042 AUX port at 0x60,0x64 irq 12
[ 1.188720] mice: PS/2 mouse device common for all mice
[ 1.189038] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input2
[ 1.189286] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[ 1.189366] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
[ 1.189452] device-mapper: uevent: version 1.0.3
[ 1.189746] device-mapper: ioctl: 4.15.0-ioctl (2009-04-01) initialised: dm-devel@redhat.com
[ 1.189804] device-mapper: multipath: version 1.1.0 loaded
[ 1.189810] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 1.189951] cpuidle: using governor ladder
[ 1.189952] cpuidle: using governor menu
[ 1.190241] TCP cubic registered
[ 1.190342] NET: Registered protocol family 10
[ 1.190716] lo: Disabled Privacy Extensions
[ 1.190909] NET: Registered protocol family 17
[ 1.190941] powernow-k8: Processor cpuid 623 not supported
[ 1.191030] PM: Resume from disk failed.
[ 1.191048] registered taskstats version 1
[ 1.191198] Magic number: 10:803:751
[ 1.191207] tty ttyS2: hash matches
[ 1.191276] rtc_cmos 00:01: setting system clock to 2010-01-27 20:44:11 UTC (1264625051)
[ 1.191280] BIOS EDD facility v0.16 2004-Jun-25, 0 devices found
[ 1.191282] EDD information not available.
[ 1.245062] Freeing initrd memory: 6761k freed
[ 1.341598] ata2.01: NODEV after polling detection
[ 1.342152] ata2.00: ATAPI: QEMU DVD-ROM, 0.12.2, max UDMA/100
[ 1.343180] ata2.00: configured for MWDMA2
[ 1.344383] scsi 1:0:0:0: CD-ROM QEMU QEMU DVD-ROM 0.12 PQ: 0 ANSI: 5
[ 1.345417] sr0: scsi3-mmc drive: 4x/4x xa/form2 tray
[ 1.345435] Uniform CD-ROM driver Revision: 3.20
[ 1.345687] sr 1:0:0:0: Attached scsi CD-ROM sr0
[ 1.345802] sr 1:0:0:0: Attached scsi generic sg0 type 5
[ 1.345848] Freeing unused kernel memory: 884k freed
[ 1.347054] Write protecting the kernel read-only data: 7900k
[ 1.362099] ramzswap: disk size set to 61904 kB
[ 1.366917] udev: starting version 149
[ 1.426779] vga16fb: initializing
[ 1.426786] vga16fb: mapped to 0xffff8800000a0000
[ 1.426834] fb0: VGA16 VGA frame buffer device
[ 1.429852] 8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
[ 1.434459] Adding 61900k swap on /dev/ramzswap0. Priority:100 extents:1 across:61900k SS
[ 1.441437] ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
[ 1.441463] 8139cp 0000:00:03.0: PCI INT A -> Link[LNKC] -> GSI 10 (level, high) -> IRQ 10
[ 1.443675] eth0: RTL-8139C+ at 0xffffc90000146000, 52:54:00:45:e7:19, IRQ 10
[ 1.443696] 8139cp 0000:00:03.0: setting latency timer to 64
[ 1.443830] ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
[ 1.443835] virtio-pci 0000:00:05.0: PCI INT A -> Link[LNKA] -> GSI 10 (level, high) -> IRQ 10
[ 1.443971] ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
[ 1.443974] virtio-pci 0000:00:06.0: PCI INT A -> Link[LNKB] -> GSI 11 (level, high) -> IRQ 11
[ 1.456862] 8139too Fast Ethernet driver 0.9.28
[ 1.500051] usb 1-1: new full speed USB device using uhci_hcd and address 2
[ 1.511313] vda: unknown partition table
[ 1.973924] FDC 0 is a S82078B
[ 2.138152] Console: switching to colour frame buffer device 80x30
[ 2.297157] usb 1-1: configuration #1 chosen from 1 choice
[ 2.340650] usbcore: registered new interface driver hiddev
[ 2.367083] input: QEMU 0.12.2 QEMU USB Tablet as /devices/pci0000:00/0000:00:01.2/usb1/1-1/1-1:1.0/input/input3
[ 2.367707] generic-usb 0003:0627:0001.0001: input,hidraw0: USB HID v0.01 Pointer [QEMU 0.12.2 QEMU USB Tablet] on usb-0000:00:01.2-1/input0
[ 2.367786] usbcore: registered new interface driver usbhid
[ 2.368288] usbhid: v2.6:USB HID core driver
[ 2.777975] xor: automatically using best checksumming function: generic_sse
[ 2.820016] generic_sse: 2418.800 MB/sec
[ 2.820018] xor: using function: generic_sse (2418.800 MB/sec)
[ 2.822798] device-mapper: dm-raid45: initialized v0.2594b
[ 2.869272] ISO 9660 Extensions: Microsoft Joliet Level 3
[ 2.870770] ISO 9660 Extensions: RRIP_1991A
[ 2.889137] aufs 2-standalone.tree-20091207
[ 2.901144] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 12.020118] Clocksource tsc unstable (delta = -68727327 ns)
[ 17.711896] udev: starting version 149
[ 17.904454] piix4_smbus 0000:00:01.3: SMBus Host Controller at 0xb100, revision 0
[ 18.428284] eth0: link up, 100Mbps, full-duplex, lpa 0x05E1
[ 18.490836] input: ImExPS/2 Generic Explorer Mouse as /devices/platform/i8042/serio1/input/input4
[ 18.526864] ENS1370 0000:00:04.0: PCI INT A -> Link[LNKD] -> GSI 11 (level, high) -> IRQ 11
[ 18.526905] ENS1370 0000:00:04.0: setting latency timer to 64
[ 19.947796] lp: driver loaded but no devices found
[ 19.997440] ppdev: user-space parallel port driver
[ 28.760254] eth0: no IPv6 routers present
[ 176.137265] SGI XFS with ACLs, security attributes, realtime, large block/inode numbers, no debug enabled
[ 176.139351] SGI XFS Quota Management subsystem
[ 176.161052] JFS: nTxBlock = 1934, nTxLock = 15476
[ 176.640752] NTFS driver 2.1.29 [Flags: R/O MODULE].
[ 176.774423] QNX4 filesystem 0.2.3 registered.
[ 247.860446] Adding 409616k swap on /dev/vda5. Priority:-1 extents:1 across:409616k
[ 304.082987] EXT4-fs (vda1): mounted filesystem with ordered data mode
[ 310.149403] JBD: barrier-based sync failed on vda1-8 - disabling barriers
[ 1468.445987] end_request: I/O error, dev vda, sector 16399472
[ 1468.446013] Write-error on swap-device (250:0:16399480)
[ 1468.446023] Write-error on swap-device (250:0:16399488)
[ 1468.446048] end_request: I/O error, dev vda, sector 2416583
[ 1468.446064] Buffer I/O error on device vda1, logical block 302065
[ 1468.446069] lost page write due to I/O error on vda1
[ 1468.446079] Buffer I/O error on device vda1, logical block 302066
[ 1468.446084] lost page write due to I/O error on vda1
[ 1468.446090] Buffer I/O error on device vda1, logical block 302067
[ 1468.446094] lost page write due to I/O error on vda1
[ 1468.446100] Buffer I/O error on device vda1, logical block 302068
[ 1468.446104] lost page write due to I/O error on vda1
[ 1468.446109] Buffer I/O error on device vda1, logical block 302069
[ 1468.446113] lost page write due to I/O error on vda1
[ 1468.446119] Buffer I/O error on device vda1, logical block 302070
[ 1468.446123] lost page write due to I/O error on vda1
[ 1468.446129] Buffer I/O error on device vda1, logical block 302071
[ 1468.446133] lost page write due to I/O error on vda1
[ 1468.446138] Buffer I/O error on device vda1, logical block 302072
[ 1468.446148] lost page write due to I/O error on vda1
[ 1468.446154] Buffer I/O error on device vda1, logical block 302073
[ 1468.446158] lost page write due to I/O error on vda1
[ 1468.446164] Buffer I/O error on device vda1, logical block 302074
[ 1468.446168] lost page write due to I/O error on vda1
[ 1468.446333] end_request: I/O error, dev vda, sector 2417591
[ 1468.446503] end_request: I/O error, dev vda, sector 2418599
[ 1468.446672] end_request: I/O error, dev vda, sector 2419607
[ 1468.446845] end_request: I/O error, dev vda, sector 2420615
[ 1468.447007] end_request: I/O error, dev vda, sector 2421623
[ 1468.447165] end_request: I/O error, dev vda, sector 2422631
[ 1468.447322] end_request: I/O error, dev vda, sector 2423639
[ 1468.447477] end_request: I/O error, dev vda, sector 2424647
[ 1468.447633] end_request: I/O error, dev vda, sector 2425655
[ 1468.447789] end_request: I/O error, dev vda, sector 2426663
[ 1468.447825] ------------[ cut here ]------------
[ 1468.447911] WARNING: at /build/buildd/linux-2.6.32/block/blk-core.c:337 blk_start_queue+0x8a/0x90()
[ 1468.447917] Hardware name: Bochs
[ 1468.447921] Modules linked in: ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs exportfs reiserfs binfmt_misc ppdev lp parport dm_crypt snd_ens1370 gameport snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd virtio_balloon joydev soundcore psmouse serio_raw i2c_piix4 snd_page_alloc squashfs aufs nls_cp437 isofs dm_raid45 xor usbhid floppy virtio_blk fbcon tileblit font bitblit softcursor 8139too virtio_pci virtio_ring virtio 8139cp mii vga16fb vgastate ramzswap xvmalloc lzo_decompress lzo_compress
[ 1468.448038] Pid: 0, comm: swapper Not tainted 2.6.32-11-generic #15-Ubuntu
[ 1468.448044] Call Trace:
[ 1468.448049] <IRQ> [<ffffffff81064f4b>] warn_slowpath_common+0x7b/0xc0
[ 1468.448112] [<ffffffff81064fa4>] warn_slowpath_null+0x14/0x20
[ 1468.448120] [<ffffffff8129a84a>] blk_start_queue+0x8a/0x90
[ 1468.448142] [<ffffffffa008b1c8>] blk_done+0xd8/0xf0 [virtio_blk]
[ 1468.448160] [<ffffffffa00462ad>] vring_interrupt+0x2d/0x50 [virtio_ring]
[ 1468.448172] [<ffffffffa004d4cb>] vp_vring_interrupt+0x5b/0xa0 [virtio_pci]
[ 1468.448182] [<ffffffffa004d554>] vp_interrupt+0x44/0x60 [virtio_pci]
[ 1468.448212] [<ffffffff810c2fa0>] handle_IRQ_event+0x60/0x170
[ 1468.448221] [<ffffffff810c54f9>] handle_fasteoi_irq+0x89/0x100
[ 1468.448244] [<ffffffff81015ce2>] handle_irq+0x22/0x30
[ 1468.448284] [<ffffffff81564e4c>] do_IRQ+0x6c/0xf0
[ 1468.448291] [<ffffffff81013b13>] ret_from_intr+0x0/0x11
[ 1468.448295] <EOI> [<ffffffff81038a4b>] ? native_safe_halt+0xb/0x10
[ 1468.448334] [<ffffffff8101b4fb>] ? default_idle+0x3b/0x90
[ 1468.448342] [<ffffffff81011e73>] ? cpu_idle+0xb3/0x110
[ 1468.448360] [<ffffffff8154a96b>] ? rest_init+0x6b/0x80
[ 1468.448412] [<ffffffff8188fde5>] ? start_kernel+0x35c/0x365
[ 1468.448421] [<ffffffff8188f33a>] ? x86_64_start_reservations+0x125/0x129
[ 1468.448429] [<ffffffff8188f438>] ? x86_64_start_kernel+0xfa/0x109
[ 1468.448435] ---[ end trace bd2f4fa5fc884c5c ]---
[ 1468.448439] ------------[ cut here ]------------
[ 1468.448447] WARNING: at /build/buildd/linux-2.6.32/block/blk-core.c:245 blk_remove_plug+0x98/0xa0()
[ 1468.448452] Hardware name: Bochs
[ 1468.448455] Modules linked in: ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs exportfs reiserfs binfmt_misc ppdev lp parport dm_crypt snd_ens1370 gameport snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd virtio_balloon joydev soundcore psmouse serio_raw i2c_piix4 snd_page_alloc squashfs aufs nls_cp437 isofs dm_raid45 xor usbhid floppy virtio_blk fbcon tileblit font bitblit softcursor 8139too virtio_pci virtio_ring virtio 8139cp mii vga16fb vgastate ramzswap xvmalloc lzo_decompress lzo_compress
[ 1468.448537] Pid: 0, comm: swapper Tainted: G W 2.6.32-11-generic #15-Ubuntu
[ 1468.448542] Call Trace:
[ 1468.448544] <IRQ> [<ffffffff81064f4b>] warn_slowpath_common+0x7b/0xc0
[ 1468.448558] [<ffffffff81064fa4>] warn_slowpath_null+0x14/0x20
[ 1468.448565] [<ffffffff81299438>] blk_remove_plug+0x98/0xa0
[ 1468.448572] [<ffffffff8129a576>] __blk_run_queue+0x16/0x160
[ 1468.448579] [<ffffffff8129a804>] blk_start_queue+0x44/0x90
[ 1468.448589] [<ffffffffa008b1c8>] blk_done+0xd8/0xf0 [virtio_blk]
[ 1468.448600] [<ffffffffa00462ad>] vring_interrupt+0x2d/0x50 [virtio_ring]
[ 1468.448609] [<ffffffffa004d4cb>] vp_vring_interrupt+0x5b/0xa0 [virtio_pci]
[ 1468.448619] [<ffffffffa004d554>] vp_interrupt+0x44/0x60 [virtio_pci]
[ 1468.448626] [<ffffffff810c2fa0>] handle_IRQ_event+0x60/0x170
[ 1468.448633] [<ffffffff810c54f9>] handle_fasteoi_irq+0x89/0x100
[ 1468.448640] [<ffffffff81015ce2>] handle_irq+0x22/0x30
[ 1468.448646] [<ffffffff81564e4c>] do_IRQ+0x6c/0xf0
[ 1468.448652] [<ffffffff81013b13>] ret_from_intr+0x0/0x11
[ 1468.448656] <EOI> [<ffffffff81038a4b>] ? native_safe_halt+0xb/0x10
[ 1468.448669] [<ffffffff8101b4fb>] ? default_idle+0x3b/0x90
[ 1468.448677] [<ffffffff81011e73>] ? cpu_idle+0xb3/0x110
[ 1468.448683] [<ffffffff8154a96b>] ? rest_init+0x6b/0x80
[ 1468.448690] [<ffffffff8188fde5>] ? start_kernel+0x35c/0x365
[ 1468.448699] [<ffffffff8188f33a>] ? x86_64_start_reservations+0x125/0x129
[ 1468.448706] [<ffffffff8188f438>] ? x86_64_start_kernel+0xfa/0x109
[ 1468.448711] ---[ end trace bd2f4fa5fc884c5d ]---
[ 1468.454241] JBD2: Detected IO errors while flushing file data on vda1-8

Discussion

  • Marti Raudsepp

    Marti Raudsepp - 2010-01-28

    Follow-up: I have reproduced this bug with 0.12.2 and 0.12.1.

    I tried 0.11.1, but this version does not seem to have this bug.

    Also, here's another user's report of the same problem: http://pastebin.ca/1765613 (thomas_s from IRC)

     
  • thomas_s

    thomas_s - 2010-01-28

    A 'me too':

    A 64-bit Intel (x86_64) based Fedora 12 host environment using the Fedora 12 "Virt-Preview" repository (http://jforbes.fedorapeople.org/virt-preview/f12/x86_64/) for qemu userspace. rpm in use at time of these oops()es was: qemu-*-0.12.2-1.fc12.x86_64.

    The IO problem occurred on the swap device (/dev/vda2), but it has also been observed on the /dev/vda3 (root) device (ext3) and on the /dev/vda1 (boot) device (ext4). All of the devices with issues are hosted in a raw image file on the host. The host reports no IO errors or disk related problems.

    The guest is started with:
    /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 1640 -smp 2 -name imap1-cluster -uuid a87b1fc8-4927-223a-6271-a4b86374fbc6 -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/imap1-cluster.monitor,server,nowait -monitor chardev:monitor -boot c -drive file=/cluster/kvm-guests/MUA-Store/imap1-cluster-root.img,if=virtio,index=0,boot=on,format=raw,cache=writethrough -drive file=/dev/mapper/clvm--VG00-imap--spool,if=virtio,index=1,cache=none -drive file=/dev/mapper/clvm--VG00-quorum,if=virtio,index=2,cache=none -drive file=/cluster/kvm-guests/SharedStorage/web-server-content.img,if=virtio,index=3,format=raw -drive file=/dev/mapper/sharedVG01-www--local,if=virtio,index=4,cache=none -drive if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:54:30:3f,vlan=0,model=virtio,name=virtio.1 -net tap,fd=35,vlan=0,name=tap.1 -net nic,macaddr=54:52:00:58:49:21,vlan=1,model=virtio,name=virtio.1 -net tap,fd=36,vlan=1,name=tap.1 -chardev pty,id=serial0 -serial chardev:serial0 -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:3 -vga cirrus -soundhw es1370

    dmesg

    [SNIP]
    Write-error on swap-device (252:0:1190128)
    Write-error on swap-device (252:0:1190136)
    Write-error on swap-device (252:0:1190144)
    Write-error on swap-device (252:0:1190152)
    Write-error on swap-device (252:0:1190160)
    Write-error on swap-device (252:0:1190168)
    Write-error on swap-device (252:0:1190176)
    Write-error on swap-device (252:0:1190184)
    ------------[ cut here ]------------
    WARNING: at block/blk-core.c:336 blk_start_queue+0x2e/0x47() (Tainted: G W )
    Hardware name: Bochs
    Modules linked in: iptable_nat nf_nat ip_vs_rr ip_vs gfs2 dlm configfs sunrpc ipv6 dm_multipath snd_ens1370 gameport snd_rawmidi snd_seq snd_seq_device virtio_net joydev snd_pcm snd_timer snd i2c_piix4 soundcore snd_page_alloc i2c_core virtio_blk virtio_pci virtio_ring virtio [last unloaded: microcode]
    Pid: 0, comm: swapper Tainted: G W 2.6.31.12-174.2.3.fc12.x86_64 #1
    Call Trace:
    <IRQ> [<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
    [<ffffffff8105173c>] warn_slowpath_null+0x14/0x16
    [<ffffffff811eb51d>] blk_start_queue+0x2e/0x47
    [<ffffffffa001049f>] blk_done+0xba/0xd0 [virtio_blk]
    [<ffffffffa00042fb>] vring_interrupt+0x6a/0x9b [virtio_ring]
    [<ffffffffa00084ca>] vp_vring_interrupt+0x5b/0x97 [virtio_pci]
    [<ffffffffa000854b>] vp_interrupt+0x45/0x4a [virtio_pci]
    [<ffffffff81099cd1>] handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff8109b8dc>] handle_fasteoi_irq+0x8b/0xc6
    [<ffffffff8101463c>] handle_irq+0x8b/0x93
    [<ffffffff8142158c>] do_IRQ+0x5c/0xbc
    [<ffffffff810126d3>] ret_from_intr+0x0/0x11
    [<ffffffff810575b1>] ? do_softirq+0x5e/0x1ad
    [<ffffffff81099cd1>] ? handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff81027e4e>] ? ack_apic_level+0x45/0xe0
    [<ffffffff81012eac>] ? call_softirq+0x1c/0x30
    [<ffffffff810143fb>] ? do_softirq+0x47/0x8d
    [<ffffffff81057342>] ? irq_exit+0x44/0x86
    [<ffffffff814215d5>] ? do_IRQ+0xa5/0xbc
    [<ffffffff810126d3>] ? ret_from_intr+0x0/0x11
    <EOI>
    [<ffffffff8102e23d>] ? native_safe_halt+0xb/0xd
    [<ffffffff81018e1f>] ? default_idle+0x47/0x6d
    [<ffffffff8141fc39>] ? atomic_notifier_call_chain+0x13/0x15
    [<ffffffff81010bb8>] ? enter_idle+0x25/0x27
    [<ffffffff81010c60>] ? cpu_idle+0xa6/0xe9
    [<ffffffff81408697>] ? rest_init+0x6b/0x6d
    [<ffffffff81716dc7>] ? start_kernel+0x3ef/0x3fa
    [<ffffffff817162a1>] ? x86_64_start_reservations+0xac/0xb0
    [<ffffffff8171639d>] ? x86_64_start_kernel+0xf8/0x107
    ---[ end trace 2b11be9c86ea960d ]---
    ------------[ cut here ]------------
    WARNING: at block/blk-core.c:244 blk_remove_plug+0x2e/0x96() (Tainted: G W )
    Hardware name: Bochs
    Modules linked in: iptable_nat nf_nat ip_vs_rr ip_vs gfs2 dlm configfs sunrpc ipv6 dm_multipath snd_ens1370 gameport snd_rawmidi snd_seq snd_seq_device virtio_net joydev snd_pcm snd_timer snd i2c_piix4 soundcore snd_page_alloc i2c_core virtio_blk virtio_pci virtio_ring virtio [last unloaded: microcode]
    Pid: 0, comm: swapper Tainted: G W 2.6.31.12-174.2.3.fc12.x86_64 #1
    Call Trace:
    <IRQ>
    [<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
    [<ffffffff8105173c>] warn_slowpath_null+0x14/0x16
    [<ffffffff811eb34d>] blk_remove_plug+0x2e/0x96
    [<ffffffff811eb3cb>]
    blk_run_queue+0x16/0x71
    [<ffffffff811eb532>] blk_start_queue+0x43/0x47
    [<ffffffffa001049f>] blk_done+0xba/0xd0 [virtio_blk]
    [<ffffffffa00042fb>] vring_interrupt+0x6a/0x9b [virtio_ring]
    [<ffffffffa00084ca>] vp_vring_interrupt+0x5b/0x97 [virtio_pci]
    [<ffffffffa000854b>] vp_interrupt+0x45/0x4a [virtio_pci]
    [<ffffffff81099cd1>] handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff8109b8dc>] handle_fasteoi_irq+0x8b/0xc6
    [<ffffffff8101463c>] handle_irq+0x8b/0x93
    [<ffffffff8142158c>] do_IRQ+0x5c/0xbc
    [<ffffffff810126d3>] ret_from_intr+0x0/0x11
    [<ffffffff810575b1>] ? __do_softirq+0x5e/0x1ad
    [<ffffffff81099cd1>] ? handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff81027e4e>] ? ack_apic_level+0x45/0xe0
    [<ffffffff81012eac>] ? call_softirq+0x1c/0x30
    [<ffffffff810143fb>] ? do_softirq+0x47/0x8d
    [<ffffffff81057342>] ? irq_exit+0x44/0x86
    [<ffffffff814215d5>] ? do_IRQ+0xa5/0xbc
    [<ffffffff810126d3>] ? ret_from_intr+0x0/0x11
    <EOI> [<ffffffff8102e23d>] ? native_safe_halt+0xb/0xd
    [<ffffffff81018e1f>] ? default_idle+0x47/0x6d
    [<ffffffff8141fc39>] ? atomic_notifier_call_chain+0x13/0x15
    [<ffffffff81010bb8>] ? enter_idle+0x25/0x27
    [<ffffffff81010c60>] ? cpu_idle+0xa6/0xe9
    [<ffffffff81408697>] ? rest_init+0x6b/0x6d
    [<ffffffff81716dc7>] ? start_kernel+0x3ef/0x3fa
    [<ffffffff817162a1>] ? x86_64_start_reservations+0xac/0xb0
    [<ffffffff8171639d>] ? x86_64_start_kernel+0xf8/0x107
    ---[ end trace 2b11be9c86ea960e ]---

     
  • thomas_s

    thomas_s - 2010-01-28

    Happened again, now less than 24 hours after rebooting the guest (the 0.12.2-4 update of the qemu-system-x86_64 binaries didn't include any fix, obviously). Hit both my swap (/dev/vda2) and root (/dev/vda3) file systems.

    end_request: I/O error, dev vda, sector 887656
    Write-error on swap-device (252:0:887664)
    Write-error on swap-device (252:0:887672)
    [...]
    Write-error on swap-device (252:0:888664)
    end_request: I/O error, dev vda, sector 888664
    Write-error on swap-device (252:0:888672)
    [...]
    Write-error on swap-device (252:0:898792)
    Write-error on swap-device (252:0:898800)
    end_request: I/O error, dev vda, sector 8441480
    Buffer I/O error on device vda3, logical block 703141
    lost page write due to I/O error on vda3
    end_request: I/O error, dev vda, sector 8448896
    Buffer I/O error on device vda3, logical block 704068
    lost page write due to I/O error on vda3
    ------------[ cut here ]------------
    WARNING: at block/blk-core.c:336 blk_start_queue+0x2e/0x47() (Not tainted)
    Hardware name: Bochs
    Modules linked in: ipt_REDIRECT iptable_nat nf_nat ip_vs_rr ip_vs gfs2 dlm configfs sunrpc ipv6 dm_multipath snd_ens1370 gameport snd_rawmidi snd_seq snd_seq_device snd_pcm joydev snd_timer snd soundcore virtio_net snd_page_alloc i2c_piix4 i2c_core virtio_blk virtio_pci virtio_ring virtio [last unloaded: microcode]
    Pid: 10164, comm: setfiles Not tainted 2.6.31.12-174.2.3.fc12.x86_64 #1
    Call Trace:
    <IRQ> [<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
    [<ffffffff8105173c>] warn_slowpath_null+0x14/0x16
    [<ffffffff811eb51d>] blk_start_queue+0x2e/0x47
    [<ffffffffa001049f>] blk_done+0xba/0xd0 [virtio_blk]
    [<ffffffffa00042fb>] vring_interrupt+0x6a/0x9b [virtio_ring]
    [<ffffffffa00084ca>] vp_vring_interrupt+0x5b/0x97 [virtio_pci]
    [<ffffffffa000854b>] vp_interrupt+0x45/0x4a [virtio_pci]
    [<ffffffff81099cd1>] handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff8109b8dc>] handle_fasteoi_irq+0x8b/0xc6
    [<ffffffff8101463c>] handle_irq+0x8b/0x93
    [<ffffffff8142158c>] do_IRQ+0x5c/0xbc
    [<ffffffff810126d3>] ret_from_intr+0x0/0x11
    <EOI> [<ffffffff81012770>] ? retint_careful+0xe/0x32
    ---[ end trace 5184d03d43d73d2f ]---
    ------------[ cut here ]------------
    WARNING: at block/blk-core.c:244 blk_remove_plug+0x2e/0x96() (Tainted: G W )
    Hardware name: Bochs
    Modules linked in: ipt_REDIRECT iptable_nat nf_nat ip_vs_rr ip_vs gfs2 dlm configfs sunrpc ipv6 dm_multipath snd_ens1370 gameport snd_rawmidi snd_seq snd_seq_device snd_pcm joydev snd_timer snd soundcore virtio_net snd_page_alloc i2c_piix4 i2c_core virtio_blk virtio_pci virtio_ring virtio [last unloaded: microcode]
    Pid: 10164, comm: setfiles Tainted: G W 2.6.31.12-174.2.3.fc12.x86_64 #1
    Call Trace:
    <IRQ> [<ffffffff81051710>] warn_slowpath_common+0x84/0x9c
    [<ffffffff8105173c>] warn_slowpath_null+0x14/0x16
    [<ffffffff811eb34d>] blk_remove_plug+0x2e/0x96
    [<ffffffff811eb3cb>] __blk_run_queue+0x16/0x71
    [<ffffffff811eb532>] blk_start_queue+0x43/0x47
    [<ffffffffa001049f>] blk_done+0xba/0xd0 [virtio_blk]
    [<ffffffffa00042fb>] vring_interrupt+0x6a/0x9b [virtio_ring]
    [<ffffffffa00084ca>] vp_vring_interrupt+0x5b/0x97 [virtio_pci]
    [<ffffffffa000854b>] vp_interrupt+0x45/0x4a [virtio_pci]
    [<ffffffff81099cd1>] handle_IRQ_event+0x60/0x121
    [<ffffffff81026966>] ? apic_write+0x16/0x18
    [<ffffffff8109b8dc>] handle_fasteoi_irq+0x8b/0xc6
    [<ffffffff8101463c>] handle_irq+0x8b/0x93
    [<ffffffff8142158c>] do_IRQ+0x5c/0xbc
    [<ffffffff810126d3>] ret_from_intr+0x0/0x11
    <EOI> [<ffffffff81012770>] ? retint_careful+0xe/0x32
    ---[ end trace 5184d03d43d73d30 ]---
    JBD: Detected IO errors while flushing file data on vda3

     
  • Jes Sorensen

    Jes Sorensen - 2010-11-26

    Closing per the posting on 2010-03-10

    Jes

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks